<%@ Page Language="c#" CodeFile="DefaultCS.aspx.cs" AutoEventWireup="true" Inherits="Telerik.Web.Examples.Upload.AdditionalFields.DefaultCS" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/tr/xhtml11/dtd/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title></title>
    <link rel="stylesheet" type="text/css" href="ExampleFiles/Styles.css" />
</head>
<body class="BODY">
    <form runat="server" id="mainForm" method="post">
    <telerik:radscriptmanager id="ScriptManager1" runat="server" />
  
    <table class="AdditionalFields">
        <tr>
            <td class="TopCell" colspan="2">
            </td>
        </tr>
        <tr>
            <td class="BodyCell">
                <div class="FileDetails">
                    <telerik:RadAsyncUpload runat="server" id="RadAsyncUpload1" OnClientFileUploaded="onClientFileUploaded" MultipleFileSelection="Automatic"></telerik:RadAsyncUpload>
                </div>
            </td>
            <td class="BodyCell RightCell">
                <div class="uploadedfiles">
                    <div>
                        <asp:Label ID="labelNoResults" runat="server" Visible="True">No uploaded files</asp:Label>
                        <asp:Repeater runat="server" ID="Repeater1">
                            <ItemTemplate>
                                <span style="font-weight: normal; font-size: 10px; color: black; position:relative">
                                    File info:&nbsp;<%#((Telerik.Web.UI.UploadedFile)Container.DataItem).GetFieldValue("TextBox").ToString()%>,<br />
                                    File name:&nbsp;<%# DataBinder.Eval(Container.DataItem, "FileName").ToString() %>,<br />
                                    File size:&nbsp;<%# DataBinder.Eval(Container.DataItem, "ContentLength").ToString() %><br />
                                    <br />
                                    <br />
                                </span>
                            </ItemTemplate>
                        </asp:Repeater>
                    </div>
                </div>
            </td>
        </tr>
        <tr>
            <td class="BottomCell" colspan="2">
                <asp:Button ID="buttonSubmit" runat="server" CssClass="RadUploadButton" OnClick="buttonSubmit_Click"
                    Text="Submit" />
            </td>
        </tr>
    </table>
    <br />
     <script type="text/javascript">
	 //<![CDATA[
        var $ = $telerik.$;

        function onClientFileUploaded(radAsyncUpload, args) {
            alert(1);
            var $row = $(args.get_row());
            var inputName = radAsyncUpload.getAdditionalFieldID("TextBox");
            var inputType = "text";
            var inputID = inputName;
            var input = createInput(inputType, inputID, inputName);
            var label = createLabel(inputID);
            $row.append("<br/>");
            $row.append(label);
            $row.append(input);        
        }

        function createInput(inputType, inputID, inputName) {
            var input = '<input type="'+ inputType + '" id="' +inputID+ '" name="' + inputName + '" />';
            return input;
        }

        function createLabel(forArrt) {
            var label = '<label for=' + forArrt + '>File info: </label>';
            return label;
           }
	//]]>
    </script>
 
    </form>
</body>
</html>
